---
title: 'XRSession: squeezeend event'
slug: Web/API/XRSession/squeezeend_event
tags:
  - API
  - AR
  - Event
  - Input Sources
  - Mixed
  - Primary Squeeze Actions
  - Reality
  - Reference
  - Squeeze Actions
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRSession
  - actions
  - augmented
  - squeezeend
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The WebXR event <code><strong>squeezeend</strong></code> is sent to an {{domxref("XRSession")}} when one of its input sources ends its <a href="/en-US/docs/Web/API/WebXR_Device_API/Inputs#Primary_squeeze_actions">primary action</a> or when an input source that's in the process of handling an ongoing primary action is disconnected without successfully completing the action.</span> Primary squeeze actions include things like users pressing triggers or buttons, tapping a touchpad, speaking a command, or performing a recognizable gesture when using a video tracking system or handheld controller with an accelerometer.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("XRInputSourceEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("XRSession.onsqueezeend", "onsqueezeend")}}</td>
  </tr>
 </tbody>
</table>

<p>For details on how the {{domxref("XRSession.squeezestart_event", "squeezestart")}}, {{domxref("XRSession.squeeze_event", "squeeze")}}, and {{domxref("XRSession.squeezeend_event", "squeezeend")}} events work, and how you should react to them, see {{SectionOnPage("/en-US/docs/Web/API/WebXR_Device_API/Inputs", "Primary squeeze actions")}}.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/XRSession/squeezestart_event", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#eventdef-xrsession-squeezeend","squeezeend event")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSession.squeezeend_event")}}</div>
